org.wso2.carbon.cloud.gateway.agent.stub.types.carbon

## Class CGProxyToolsURLs

- java.lang.Object
- - org.wso2.carbon.cloud.gateway.agent.stub.types.carbon.CGProxyToolsURLs

- All Implemented Interfaces:
    Serializable, org.apache.axis2.databinding.ADBBean

      public class CGProxyToolsURLs
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  CGProxyToolsURLs bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CGProxyToolsURLs.Factory` Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String[]` | `localEprArray` field for EprArray This was an Array!
    `protected boolean` | `localEprArraySpecified` field for EprArraySpecified
    `protected boolean` | `localEprArraySpecifiedTracker`
    `protected boolean` | `localEprArrayTracker`
    `protected String` | `localTryItURL` field for TryItURL
    `protected boolean` | `localTryItURLSpecified` field for TryItURLSpecified
    `protected boolean` | `localTryItURLSpecifiedTracker`
    `protected boolean` | `localTryItURLTracker`
    `protected String` | `localWsdl11URL` field for Wsdl11URL
    `protected boolean` | `localWsdl11URLSpecified` field for Wsdl11URLSpecified
    `protected boolean` | `localWsdl11URLSpecifiedTracker`
    `protected boolean` | `localWsdl11URLTracker`
    `protected String` | `localWsdl2URL` field for Wsdl2URL
    `protected boolean` | `localWsdl2URLSpecified` field for Wsdl2URLSpecified
    `protected boolean` | `localWsdl2URLSpecifiedTracker`
    `protected boolean` | `localWsdl2URLTracker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CGProxyToolsURLs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEprArray(String param)` Auto generated add method for the array for convenience
    `String[]` | `getEprArray()` Auto generated getter method
    `boolean` | `getEprArraySpecified()` Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
    `XMLStreamReader` | `getPullParser(QName qName)` databinding method to get an XML representation of this object
    `String` | `getTryItURL()` Auto generated getter method
    `boolean` | `getTryItURLSpecified()` Auto generated getter method
    `String` | `getWsdl11URL()` Auto generated getter method
    `boolean` | `getWsdl11URLSpecified()` Auto generated getter method
    `String` | `getWsdl2URL()` Auto generated getter method
    `boolean` | `getWsdl2URLSpecified()` Auto generated getter method
    `boolean` | `isEprArraySpecified()`
    `boolean` | `isEprArraySpecifiedSpecified()`
    `boolean` | `isTryItURLSpecified()`
    `boolean` | `isTryItURLSpecifiedSpecified()`
    `boolean` | `isWsdl11URLSpecified()`
    `boolean` | `isWsdl11URLSpecifiedSpecified()`
    `boolean` | `isWsdl2URLSpecified()`
    `boolean` | `isWsdl2URLSpecifiedSpecified()`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
    `void` | `setEprArray(String[] param)` Auto generated setter method
    `void` | `setEprArraySpecified(boolean param)` Auto generated setter method
    `void` | `setTryItURL(String param)` Auto generated setter method
    `void` | `setTryItURLSpecified(boolean param)` Auto generated setter method
    `void` | `setWsdl11URL(String param)` Auto generated setter method
    `void` | `setWsdl11URLSpecified(boolean param)` Auto generated setter method
    `void` | `setWsdl2URL(String param)` Auto generated setter method
    `void` | `setWsdl2URLSpecified(boolean param)` Auto generated setter method
    `protected void` | `validateEprArray(String[] param)` validate the array for EprArray

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### localEprArray

          protected String[] localEprArray

      field for EprArray This was an Array!

    - #### localEprArrayTracker

          protected boolean localEprArrayTracker

    - #### localEprArraySpecified

          protected boolean localEprArraySpecified

      field for EprArraySpecified

    - #### localEprArraySpecifiedTracker

          protected boolean localEprArraySpecifiedTracker

    - #### localTryItURL

          protected String localTryItURL

      field for TryItURL

    - #### localTryItURLTracker

          protected boolean localTryItURLTracker

    - #### localTryItURLSpecified

          protected boolean localTryItURLSpecified

      field for TryItURLSpecified

    - #### localTryItURLSpecifiedTracker

          protected boolean localTryItURLSpecifiedTracker

    - #### localWsdl11URL

          protected String localWsdl11URL

      field for Wsdl11URL

    - #### localWsdl11URLTracker

          protected boolean localWsdl11URLTracker

    - #### localWsdl11URLSpecified

          protected boolean localWsdl11URLSpecified

      field for Wsdl11URLSpecified

    - #### localWsdl11URLSpecifiedTracker

          protected boolean localWsdl11URLSpecifiedTracker

    - #### localWsdl2URL

          protected String localWsdl2URL

      field for Wsdl2URL

    - #### localWsdl2URLTracker

          protected boolean localWsdl2URLTracker

    - #### localWsdl2URLSpecified

          protected boolean localWsdl2URLSpecified

      field for Wsdl2URLSpecified

    - #### localWsdl2URLSpecifiedTracker

          protected boolean localWsdl2URLSpecifiedTracker

  - ### Constructor Detail

    - #### CGProxyToolsURLs

          public CGProxyToolsURLs()

  - ### Method Detail

    - #### isEprArraySpecified

          public boolean isEprArraySpecified()

    - #### getEprArray

          public String[] getEprArray()

      Auto generated getter method
      Returns:
        java.lang.String[]

    - #### validateEprArray

          protected void validateEprArray(String[] param)

      validate the array for EprArray

    - #### setEprArray

          public void setEprArray(String[] param)

      Auto generated setter method
      Parameters:
        `param` - EprArray

    - #### addEprArray

          public void addEprArray(String param)

      Auto generated add method for the array for convenience
      Parameters:
        `param` - java.lang.String

    - #### isEprArraySpecifiedSpecified

          public boolean isEprArraySpecifiedSpecified()

    - #### getEprArraySpecified

          public boolean getEprArraySpecified()

      Auto generated getter method
      Returns:
        boolean

    - #### setEprArraySpecified

          public void setEprArraySpecified(boolean param)

      Auto generated setter method
      Parameters:
        `param` - EprArraySpecified

    - #### isTryItURLSpecified

          public boolean isTryItURLSpecified()

    - #### getTryItURL

          public String getTryItURL()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setTryItURL

          public void setTryItURL(String param)

      Auto generated setter method
      Parameters:
        `param` - TryItURL

    - #### isTryItURLSpecifiedSpecified

          public boolean isTryItURLSpecifiedSpecified()

    - #### getTryItURLSpecified

          public boolean getTryItURLSpecified()

      Auto generated getter method
      Returns:
        boolean

    - #### setTryItURLSpecified

          public void setTryItURLSpecified(boolean param)

      Auto generated setter method
      Parameters:
        `param` - TryItURLSpecified

    - #### isWsdl11URLSpecified

          public boolean isWsdl11URLSpecified()

    - #### getWsdl11URL

          public String getWsdl11URL()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setWsdl11URL

          public void setWsdl11URL(String param)

      Auto generated setter method
      Parameters:
        `param` - Wsdl11URL

    - #### isWsdl11URLSpecifiedSpecified

          public boolean isWsdl11URLSpecifiedSpecified()

    - #### getWsdl11URLSpecified

          public boolean getWsdl11URLSpecified()

      Auto generated getter method
      Returns:
        boolean

    - #### setWsdl11URLSpecified

          public void setWsdl11URLSpecified(boolean param)

      Auto generated setter method
      Parameters:
        `param` - Wsdl11URLSpecified

    - #### isWsdl2URLSpecified

          public boolean isWsdl2URLSpecified()

    - #### getWsdl2URL

          public String getWsdl2URL()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setWsdl2URL

          public void setWsdl2URL(String param)

      Auto generated setter method
      Parameters:
        `param` - Wsdl2URL

    - #### isWsdl2URLSpecifiedSpecified

          public boolean isWsdl2URLSpecifiedSpecified()

    - #### getWsdl2URLSpecified

          public boolean getWsdl2URLSpecified()

      Auto generated getter method
      Returns:
        boolean

    - #### setWsdl2URLSpecified

          public void setWsdl2URLSpecified(boolean param)

      Auto generated setter method
      Parameters:
        `param` - Wsdl2URLSpecified

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`

Copyright © 2019 WSO2. All rights reserved.